Bug 173383 - [UPDATE] misc/rabbit: update to 2.0.5
[UPDATE] misc/rabbit: update to 2.0.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: TAKATSU Tomonari
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-05 09:50 UTC by murashin
Modified: 2013-07-24 12:34 UTC (History)
0 users

See Also:


Attachments
rabbit.diff (35.72 KB, patch)
2012-11-05 09:50 UTC, murashin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description murashin 2012-11-05 09:50:03 UTC
	- update to 2.0.5.
	  * use rubygem ports

How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2012-11-05 09:51:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tota

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 TAKATSU Tomonari freebsd_committer 2012-11-05 21:10:49 UTC
Hi Shin-ya-san,

Thank you for the patch.
I will test it with redports.org.

By the way,
Though rabbit has been split into rabbiter [1] and rabbirack [2] since 2.0.0,
I can't run rabbiter on FreeBSD because of some bugs [3].

If you can run it well, please let me know.

https://redports.org/browser/tota/net/rabbiter [1]
https://redports.org/browser/tota/www/rabbirack [2]
http://www.cozmixng.org/~w3ml/index.rb/rabbit-shocker/msg/1066 [3]

Thanks,

-- 
TAKATSU Tomonari
Comment 3 TAKATSU Tomonari freebsd_committer 2012-11-17 03:12:33 UTC
State Changed
From-To: open->analyzed

This PR is depend on ports/173378 and its related ports.
Comment 4 dfilter freebsd_committer 2013-07-24 12:22:27 UTC
Author: tota
Date: Wed Jul 24 11:22:09 2013
New Revision: 323590
URL: http://svnweb.freebsd.org/changeset/ports/323590

Log:
  - Move misc/rabbit to misc/rubygem-rabbit [1]
  - Update to 2.1.1 [1]
  - Split rabbiter and rabbirack into net/rubygem-rabbiter and
    www/rubygem-rabbirack, respectively
  
  PR:		ports/173383 (based on) [1]
  Submitted by:	Shin-ya Murakami <murashin_AT_gfd-dennou_DOT_org> [1]

Added:
  head/misc/rubygem-rabbit/
     - copied from r323589, head/misc/rabbit/
  head/net/rubygem-rabbiter/
  head/net/rubygem-rabbiter/Makefile   (contents, props changed)
  head/net/rubygem-rabbiter/distinfo   (contents, props changed)
  head/net/rubygem-rabbiter/files/
  head/net/rubygem-rabbiter/files/patch-lib-rabbiter.rb   (contents, props changed)
  head/net/rubygem-rabbiter/pkg-descr   (contents, props changed)
  head/www/rubygem-rabbirack/
  head/www/rubygem-rabbirack/Makefile   (contents, props changed)
  head/www/rubygem-rabbirack/distinfo   (contents, props changed)
  head/www/rubygem-rabbirack/pkg-descr   (contents, props changed)
Deleted:
  head/misc/rabbit/
  head/misc/rubygem-rabbit/pkg-plist
Modified:
  head/MOVED
  head/misc/Makefile
  head/misc/rubygem-rabbit/Makefile
  head/misc/rubygem-rabbit/distinfo
  head/misc/rubygem-rabbit/pkg-descr
  head/net/Makefile
  head/www/Makefile

Modified: head/MOVED
==============================================================================
--- head/MOVED	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/MOVED	Wed Jul 24 11:22:09 2013	(r323590)
@@ -4438,3 +4438,4 @@ devel/kdevelop-custom-buildsystem||2013-
 editors/code-browser||2013-07-18|Removed
 lang/copper||2013-07-18|Removed
 x11-themes/linux-gtk-bluecurve-theme||2013-07-18|Removed, requires Linux FC3
+misc/rabbit|misc/rubygem-rabbit|2013-07-24|Moved to Rubygems

Modified: head/misc/Makefile
==============================================================================
--- head/misc/Makefile	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/misc/Makefile	Wed Jul 24 11:22:09 2013	(r323590)
@@ -477,7 +477,6 @@
     SUBDIR += quick-lounge-applet
     SUBDIR += quotes
     SUBDIR += quranref
-    SUBDIR += rabbit
     SUBDIR += ree
     SUBDIR += renamedlgplugins
     SUBDIR += rfc
@@ -489,6 +488,7 @@
     SUBDIR += ruby-vpim
     SUBDIR += rubygem-mime-types
     SUBDIR += rubygem-ohcount
+    SUBDIR += rubygem-rabbit
     SUBDIR += rubygem-vpim
     SUBDIR += saaghar
     SUBDIR += salias

Modified: head/misc/rubygem-rabbit/Makefile
==============================================================================
--- head/misc/rabbit/Makefile	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/misc/rubygem-rabbit/Makefile	Wed Jul 24 11:22:09 2013	(r323590)
@@ -2,100 +2,48 @@
 # $FreeBSD$
 
 PORTNAME=	rabbit
-PORTVERSION=	1.0.9
-CATEGORIES=	misc ruby
-MASTER_SITES=	http://rabbit-shockers.org/download/ \
-		LOCAL
-MASTER_SITE_SUBDIR=	tota/${PORTNAME}
+PORTVERSION=	2.1.1
+CATEGORIES=	misc rubygems
+MASTER_SITES=	RG
 
 MAINTAINER=	tota@FreeBSD.org
-COMMENT=	An RD-document-based presentation application
+COMMENT=	RD-document-based presentation application
 
-LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/GPL
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
 
-RUN_DEPENDS=	${RUBY_SITEARCHLIBDIR}/gtk2.so:${PORTSDIR}/x11-toolkits/ruby-gtk2 \
-		${RUBY_SITEARCHLIBDIR}/rsvg2.so:${PORTSDIR}/graphics/ruby-rsvg2 \
-		${RUBY_SITEARCHLIBDIR}/poppler.so:${PORTSDIR}/x11-toolkits/ruby-poppler \
-		${RUBY_SITEARCHLIBDIR}/gio2.so:${PORTSDIR}/devel/ruby-gio2 \
-		hikidoc:${PORTSDIR}/textproc/ruby-hikidoc \
+RUN_DEPENDS=	rubygem-coderay>=1.0.0:${PORTSDIR}/textproc/rubygem-coderay \
+		rubygem-faraday>0:${PORTSDIR}/www/rubygem-faraday \
+		rubygem-gettext>0:${PORTSDIR}/devel/rubygem-gettext \
+		rubygem-gtk2>0:${PORTSDIR}/x11-toolkits/rubygem-gtk2 \
+		rubygem-hikidoc>0:${PORTSDIR}/textproc/rubygem-hikidoc \
+		rubygem-kramdown>0:${PORTSDIR}/textproc/rubygem-kramdown \
 		rubygem-nokogiri>0:${PORTSDIR}/textproc/rubygem-nokogiri \
-		rubygem-sinatra>0:${PORTSDIR}/www/rubygem-sinatra \
-		rubygem-haml>0:${PORTSDIR}/www/rubygem-haml \
-		rd2:${PORTSDIR}/textproc/ruby-rdtool \
-		rubygem-coderay>=1.0.0:${PORTSDIR}/textproc/rubygem-coderay \
-		rubygem-kramdown>0:${PORTSDIR}/textproc/rubygem-kramdown
+		rubygem-poppler>0:${PORTSDIR}/x11-toolkits/rubygem-poppler \
+		rubygem-rdtool>0:${PORTSDIR}/textproc/rubygem-rdtool \
+		rubygem-rsvg2>0:${PORTSDIR}/graphics/rubygem-rsvg2 \
+		rubygem-rttool>0:${PORTSDIR}/textproc/rubygem-rttool
 
+USE_GETTEXT=	yes
 USE_RUBY=	yes
-USE_RUBY_SETUP=	yes
-RUBY_SHEBANG_FILES=	bin/rabbirack \
-			bin/rabbirc \
-			bin/rabbit \
-			bin/rabbit-command \
-			bin/rabbit-theme-manager \
-			bin/rabbiter \
-			bin/rabrick
-
-PORTDOCS=	*
-PORTEXAMPLES=	*
-PORTDATA=	*
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+PLIST_FILES=	bin/rabbit bin/rabbirc bin/rabbit-command bin/rabbit-slide \
+		bin/rabbit-theme
 
-OPTIONS_DEFINE=	MIMETEX TWITTER
+OPTIONS_DEFINE=	MIMETEX
 MIMETEX_DESC=	Run with mimetex
-TWITTER_DESC=	Run with Twitter
 
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MNLS}
-USES=		gettext
-RUN_DEPENDS+=	rubygem-gettext>0:${PORTSDIR}/devel/rubygem-gettext
-PLIST_SUB+=	NLS=""
-.else
-PLIST_SUB+=	NLS="@comment "
-.endif
-
 .if ${PORT_OPTIONS:MMIMETEX}
 RUN_DEPENDS+=	${LOCALBASE}/www/mimetex/cgi-bin/mimetex.cgi:${PORTSDIR}/www/mimetex
 .endif
 
-.if ${PORT_OPTIONS:MTWITTER}
-RUN_DEPENDS+=	rubygem-twitter_oauth>=0:${PORTSDIR}/security/rubygem-twitter_oauth \
-		rubygem-twitter-stream>=0.1.16:${PORTSDIR}/net/rubygem-twitter-stream
-.endif
-
-post-patch:
-	${RM} ${WRKSRC}/bin/rabwii
-	${RUBY} -i -pe 'sub %r|((\s*)require "rack")|, %Q|\\2require "rubygems"\n\\1|' ${WRKSRC}/bin/rabbirack
-	${RUBY} -i -pe 'sub %r|(require "hikidoc")|, %Q|require "rubygems"\n\\1|' ${WRKSRC}/lib/rabbit/parser/wiki.rb
-	${RUBY} -i -pe "sub %r|((\s*)require 'twitter_oauth')|, %Q|\\\2require 'rubygems'\n\\\1|" ${WRKSRC}/lib/rabbit/twitter.rb
-	${RUBY} -i -pe "sub %r|(require 'coderay')|, %Q|require 'rubygems'\n\\\1|" ${WRKSRC}/lib/rabbit/parser/ext/coderay.rb
 .if ${PORT_OPTIONS:MMIMETEX}
+post-patch:
 	${REINPLACE_CMD} -e 's|"mimetex.cgi"|"${PREFIX}/www/mimetex/cgi-bin/mimetex.cgi"|' \
 		${WRKSRC}/lib/rabbit/parser/ext/tex.rb
 .endif
 
-post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
-	@cd ${WRKSRC}/doc && ${COPYTREE_SHARE} . ${DOCSDIR}
-.endif
-.if ${PORT_OPTIONS:MEXAMPLES}
-	@${MKDIR} ${EXAMPLESDIR}
-	@cd ${WRKSRC}/sample && ${COPYTREE_SHARE} . ${EXAMPLESDIR}
-.endif
-.if defined(NOPORTDATA)
-	@${RM} -r ${DATADIR}
-.endif
-
-# This target is only meant to be used by the port maintainer.
-x-generate-plist:
-	${CP} /dev/null pkg-plist.new
-.for f in ${RUBY_SHEBANG_FILES}
-	${ECHO} ${f} >> pkg-plist.new
-.endfor
-	${FIND} ${RUBY_SITELIBDIR}/rabbit -type f | ${SORT} | ${SED} -e 's,${RUBY_SITELIBDIR},%%RUBY_SITELIBDIR%%,' >> pkg-plist.new
-	${FIND} ${PREFIX}/share/locale -type f -name rabbit.mo | ${SORT} | ${SED} -e 's,^${PREFIX}/,%%NLS%%,' >> pkg-plist.new
-	${FIND} ${RUBY_SITELIBDIR}/rabbit -type d -depth | ${SORT} -r | ${SED} -e 's,${RUBY_SITELIBDIR},@dirrm %%RUBY_SITELIBDIR%%,' >> pkg-plist.new
-
 .include <bsd.port.mk>

Modified: head/misc/rubygem-rabbit/distinfo
==============================================================================
--- head/misc/rabbit/distinfo	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/misc/rubygem-rabbit/distinfo	Wed Jul 24 11:22:09 2013	(r323590)
@@ -1,2 +1,2 @@
-SHA256 (rabbit-1.0.9.tar.gz) = c2a20a1c6bb4829aeecae41f8227074d6a59d54411877956e136c2ef030c9200
-SIZE (rabbit-1.0.9.tar.gz) = 4934193
+SHA256 (rubygem/rabbit-2.1.1.gem) = d856916809c8dc1fd976ad4854805b6baba5640ca650f8fccc09ea342392fd49
+SIZE (rubygem/rabbit-2.1.1.gem) = 5147136

Modified: head/misc/rubygem-rabbit/pkg-descr
==============================================================================
--- head/misc/rabbit/pkg-descr	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/misc/rubygem-rabbit/pkg-descr	Wed Jul 24 11:22:09 2013	(r323590)
@@ -5,4 +5,4 @@ Rabbit has some features which set it ap
  * Mouse gesture support
  * and more...
 
-WWW:	http://rabbit-shockers.org/
+WWW: http://rabbit-shocker.org/en/

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/net/Makefile	Wed Jul 24 11:22:09 2013	(r323590)
@@ -1052,6 +1052,7 @@
     SUBDIR += rubygem-openid
     SUBDIR += rubygem-packetfu
     SUBDIR += rubygem-pcaprub
+    SUBDIR += rubygem-rabbiter
     SUBDIR += rubygem-rightaws
     SUBDIR += rubygem-rightflexiscale
     SUBDIR += rubygem-rightgogrid

Added: head/net/rubygem-rabbiter/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/rubygem-rabbiter/Makefile	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,25 @@
+# Created by: TAKATSU Tomonari <tota@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	rabbiter
+PORTVERSION=	2.0.0
+CATEGORIES=	net rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	tota@FreeBSD.org
+COMMENT=	Rabbiter is a twitter client for Rabbit
+
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+
+RUN_DEPENDS=	rubygem-gio2>=1.1.4:${PORTSDIR}/devel/rubygem-gio2 \
+		rubygem-rabbit>=2.0.0:${PORTSDIR}/misc/rubygem-rabbit \
+		rubygem-twitter_oauth>0:${PORTSDIR}/security/rubygem-twitter_oauth \
+		rubygem-twitter-stream>=0.1.16:${PORTSDIR}/net/rubygem-twitter-stream
+
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+PLIST_FILES=	bin/rabbiter
+
+.include <bsd.port.mk>

Added: head/net/rubygem-rabbiter/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/rubygem-rabbiter/distinfo	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,2 @@
+SHA256 (rubygem/rabbiter-2.0.0.gem) = 1cbb634056d373ea90d9338a005874a3ccedab6c20f53b5bba8a31352877aa1a
+SIZE (rubygem/rabbiter-2.0.0.gem) = 15872

Added: head/net/rubygem-rabbiter/files/patch-lib-rabbiter.rb
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/rubygem-rabbiter/files/patch-lib-rabbiter.rb	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,14 @@
+--- lib/rabbiter.rb.orig	2013-07-21 22:07:28.000000000 +0900
++++ lib/rabbiter.rb	2013-07-21 22:08:26.000000000 +0900
+@@ -149,9 +149,9 @@
+         @client = Gio::SocketClient.new
+         @client.tls = @options[:ssl]
+         @client.tls_validation_flags = :validate_all
+-        if Rabbit::Utils.windows?
++#        if Rabbit::Utils.windows?
+           @client.tls_validation_flags -= :unknown_ca
+-        end
++#        end
+         @connection = @client.connect_to_host(@options[:host], @options[:port])
+         @socket = @connection.socket
+         @socket.blocking = false

Added: head/net/rubygem-rabbiter/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/rubygem-rabbiter/pkg-descr	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,15 @@
+Rabbiter is a tool that collects tweets related to the talk and
+sends them to Rabbit as comments.
+
+In public conference such as RubyKaigi, audiences tweet comments
+about the listening talk to Twitter. To show the comments to your
+slide showed by Rabbit, you can use Rabbiter.
+
+If you have room to breathe, you can reply to the comments to reflect
+audiences' opinions. An audience can listen your talk with some
+different points of view because an audience can know other's
+comments. Note that you have a risk that audiences are interested
+in audiences' comments rather than your talk. You should ready your
+talk to make very interesting talk rather than audiences' comments.
+
+WWW: http://rabbit-shocker.org/en/rabbiter/

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Wed Jul 24 10:21:43 2013	(r323589)
+++ head/www/Makefile	Wed Jul 24 11:22:09 2013	(r323590)
@@ -1781,6 +1781,7 @@
     SUBDIR += rubygem-nicovideo
     SUBDIR += rubygem-ntlm-http
     SUBDIR += rubygem-passenger
+    SUBDIR += rubygem-rabbirack
     SUBDIR += rubygem-rack
     SUBDIR += rubygem-rack-cache
     SUBDIR += rubygem-rack-mount

Added: head/www/rubygem-rabbirack/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/rubygem-rabbirack/Makefile	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,26 @@
+# Created by: TAKATSU Tomonari <tota@FreeBSD.org>
+# $FreeBSD$
+
+PORTNAME=	rabbirack
+PORTVERSION=	2.0.0
+CATEGORIES=	www rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	tota@FreeBSD.org
+COMMENT=	RabbiRack is a tool that controls Rabbit by Web browser
+
+LICENSE=	GPLv2 GPLv3
+LICENSE_COMB=	dual
+
+RUN_DEPENDS=	rubygem-haml>0:${PORTSDIR}/www/rubygem-haml \
+		rubygem-locale>=2.0.6:${PORTSDIR}/devel/rubygem-locale \
+		rubygem-rabbit>=2.0.0:${PORTSDIR}/misc/rubygem-rabbit \
+		rubygem-sinatra>0:${PORTSDIR}/www/rubygem-sinatra
+
+USE_GETTEXT=	yes
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+PLIST_FILES=	bin/rabbirack
+
+.include <bsd.port.mk>

Added: head/www/rubygem-rabbirack/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/rubygem-rabbirack/distinfo	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,2 @@
+SHA256 (rubygem/rabbirack-2.0.0.gem) = 1798608db05564434d507a11734460c105098be5bdec2ac5ba2b719a9e337d2f
+SIZE (rubygem/rabbirack-2.0.0.gem) = 14336

Added: head/www/rubygem-rabbirack/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/rubygem-rabbirack/pkg-descr	Wed Jul 24 11:22:09 2013	(r323590)
@@ -0,0 +1,15 @@
+RabbiRack is a tool that controls Rabbit by Web browser.
+
+You need to use keyboard or mouse to show the next page. It means
+that you need to stand in front of your computer in your talk. You
+can control Rabbit by Web browser with RabbiRack. So you don't need
+to stand in front of your computer. You can talk at the center of
+stage.
+
+The speaker position is at the corner of stage in many conferences.
+To talk the important thing, you will want to talk with body language.
+But your body language at the corner of stage will be ignored. You
+need to use body language at the center of stage. Let's leave from
+your computer and talk the important thing to audience.
+
+WWW: http://rabbit-shocker.org/en/rabbirack/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 TAKATSU Tomonari freebsd_committer 2013-07-24 12:34:07 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!